<?php
/**
 * Scripts
 *
 * @package GamiPress\Conditional_Emails\Recipients\Scripts
 * @since 1.0.0
 */
// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

/**
 * Register admin scripts
 *
 * @return      void
 * @since       1.0.0
 */
function gamipress_conditional_emails_recipients_admin_register_scripts($hook)
{

    // Use minified libraries if SCRIPT_DEBUG is turned off
    $suffix = (defined('SCRIPT_DEBUG') && SCRIPT_DEBUG) ? '' : '.min';

    // Stylesheets
    wp_register_style('gamipress-conditional-emails-recipients-admin-css', GAMIPRESS_CONDITIONAL_EMAILS_RECIPIENTS_URL . 'assets/css/gamipress-conditional-emails-recipients-admin' . $suffix . '.css', array(), GAMIPRESS_CONDITIONAL_EMAILS_RECIPIENTS_VER, 'all');

}

add_action('admin_init', 'gamipress_conditional_emails_recipients_admin_register_scripts');

/**
 * Enqueue admin scripts
 *
 * @return      void
 * @since       1.0.0
 */
function gamipress_conditional_emails_recipients_admin_enqueue_scripts($hook)
{

    //Scripts

    // Email Digests add/edit screen
    if ($hook === 'gamipress_page_gamipress_conditional_emails' || $hook === 'admin_page_edit_gamipress_conditional_emails') {

        //Stylesheets
        wp_enqueue_style('gamipress-conditional-emails-recipients-admin-css');

    }

}

add_action('admin_enqueue_scripts', 'gamipress_conditional_emails_recipients_admin_enqueue_scripts', 100);